> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get checkout URL

> Generates a Stripe checkout URL for subscription



## OpenAPI

````yaml /api-reference/endpoint/accounts/openapi.json post /accounts/payment/checkout-url
openapi: 3.0.3
info:
  title: quiva.ai Gateway
  description: >-
    API for managing accounts, users, authentication, and payments in the
    quiva.ai platform
  version: 1.0.0
  contact:
    name: quiva.ai Support
    url: https://app.quiva.ai
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Account Management
    description: Operations related to account creation, updating, and deletion
  - name: User Management
    description: Operations related to user creation, updating, and deletion
  - name: Authentication
    description: Operations related to authentication and session management
  - name: API Keys
    description: Operations related to API key management
  - name: Multi-Factor Authentication
    description: Operations related to MFA setup and verification
  - name: Payment
    description: Operations related to subscription and payment management
  - name: Mesh Nodes
    description: Operations related to mesh node management
paths:
  /accounts/payment/checkout-url:
    post:
      tags:
        - Payment
      summary: Get checkout URL
      description: Generates a Stripe checkout URL for subscription
      operationId: getCheckoutUrl
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckoutURLRequest'
            example:
              base_subscription: price_1234567890
              addons:
                - id: price_0987654321
                  type: addon
                  quantity: 2
      responses:
        '200':
          description: Checkout URL generated successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: string
                    format: uri
              example:
                data: https://checkout.stripe.com/c/pay/cs_test_1234567890
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CheckoutURLRequest:
      type: object
      required:
        - base_subscription
        - message
      properties:
        base_subscription:
          type: string
          description: Base subscription price ID
        addons:
          type: array
          description: Subscription addons
          items:
            type: object
            required:
              - id
              - type
              - quantity
            properties:
              id:
                type: string
                description: Addon price ID
              type:
                type: string
                description: Addon type
              quantity:
                type: number
                description: Quantity
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````